Skip to main content
POST
/
api
/
v1
/
projects
/
{projectId}
/
identities
cURL
curl --request POST \
  --url https://us.infisical.com/api/v1/projects/{projectId}/identities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "hasDeleteProtection": false,
  "metadata": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ]
}
'
{
  "identity": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "projectId": "<string>",
    "hasDeleteProtection": false,
    "activeLockoutAuthMethods": [
      "<string>"
    ],
    "authMethods": [
      "<string>"
    ],
    "metadata": [
      {
        "key": "<string>",
        "value": "<string>",
        "id": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

projectId
string
required

The ID of the project to create the identity in

Body

application/json
name
string
required

The name of the identity to create.

Minimum string length: 1
hasDeleteProtection
boolean
default:false

Prevents deletion of the identity when enabled.

metadata
object[]

An optional array of key-value pairs to attach to the identity.

Response

Default Response

identity
object
required